<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 01/16/2004 *
 * ================                             Last change: 05/14/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-updates.php                                 *
 * -------------------------------------------------------------------- *
 * Short description : Check for updates                                *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Prueft nach Updates                              *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addMenuDescription('admin', __FILE__);

// Init array
$ONLINE['code'] = '???';

// Get response from our server in an array
$response = sendGetRequest('check-updates3.php');

if (empty($response[0]) && empty($response[1]) && empty($response[2]) && empty($response[3])) {
	// Error!
	$response = array('', '', '');
} else {
	// Analyse header for response code
	if (eregi('200 OK', $response[0])) {
		// Found, kill header
		$pos = 0;
		foreach($response as $k => $v) {
			$v = trim($v);
			if (empty($v)) {
				// Header ends here (+1)
				$pos = $k + 1; break;
			}
		}

		$response2 = array();
		for($i = $pos; $i < count($response); $i++) {
			$response2[] = trim($response[$i]);
		}
		$response = $response2; unset($response2);
		unset($pos);

		// Which is the latest version on server?
		$ONLINE = array(
			'version'  => str_replace("\n", '', $response[0]),
			'changed'  => str_replace("\n", '', $response[1]),
			'revision' => str_replace("\n", '', $response[2]),
			'code'     => '200 OK'
		);
	} else {
		// 404 / 403 error from server
		$ONLINE['code'] = $response[0];
	}
}

// Is a newer version available?
if (empty($ONLINE['version'])) {
	// Disconnected?
	loadTemplate('admin_settings_saved', false, "<div class=\"admin_failed\">{--ADMIN_CANNOT_CHECK_VERSION--} (".$ONLINE['code'].")</div>");
} elseif (($ONLINE['version'] != getConfig('FULL_VERSION')) || ($ONLINE['revision'] != getConfig('CURR_SVN_REVISION'))) {
	// New full-version available (all previous released patches are included in this version!)
	$ONLINE['changed'] = generateDateTime($ONLINE['changed'], '2');

	// Load template
	loadTemplate('admin_update_download', false, $ONLINE);
} else {
	// You have the latest version!
	loadTemplate('admin_settings_saved', false, getMessage('NO_UPDATES_AVAILABLE'));
}

// [EOF]
?>
